function Reset()
{
  TargetInterface.setICEBreakerBreakpoint(0, 0x00000000, 0xFFFFFFFF, 0x00000000, 0xFFFFFFFF, 0x100, 0xF7);
  TargetInterface.runTestIdle();
  TargetInterface.setNSRST(0);
  TargetInterface.setNSRST(1);
  TargetInterface.waitForDebugState(1000);
  TargetInterface.trst();
}

function ResetWithRamAtZero()
{
  Reset();
  // Now poke memory to get RAM mapped to zero e.g.
  // TargetInterface.pokeWord(0x78100000, 0x00000068);
  // TargetInterface.pokeWord(0x78100004, 0x00000003);
  // etc etc
}
